#!/bin/sh
# cul.sh	Unblock CUL radio interface with TFT (FHEM).
#
# Version:	@(#)cul.sh  1.00  29-Jan-2014  mid@ct.de
#

### BEGIN INIT INFO
# Provides:          cul
# Required-Start:    $local_fs
# Required-Stop:     $local_fs
# Default-Start:     S
# Default-Stop:      0 6
### END INIT INFO

if [ ! -d /sys/class/gpio ]; then
  exit 0
fi

if [ ! -d /sys/class/gpio/gpio17 ]; then
  echo 17 > /sys/class/gpio/export
  echo out > /sys/class/gpio/gpio17/direction
fi

case "$1" in
  start)
    echo 1 > /sys/class/gpio/gpio17/value
    ;;
  stop)
    echo 0 > /sys/class/gpio/gpio17/value
    ;;
  *)
    log_success_msg "Usage: cul.sh {start|stop}"
    log_success_msg "       controls the CUL radio interface with TFT"
    return 1
    ;;
esac
